Subject: Re: linux-next: add utrace tree

From: Frederic Weisbecker <[email-masked]>
Date: Wed, 20 Jan 2010 11:43:24 +0100

On Wed, Jan 20, 2010 at 12:10:26PM +0530, Ananth N Mavinakayanahalli wrote:
> > It will cause conflicts with various other trees and increases the overhead 
> > all around. It also causes us to trust linux-next bugreports less - as it's 
> > not the 'next Linux' anymore. Also, there's virtually no high-level technical 
> > review done in linux-next: the trees are implicitly trusted (because they are 
> > pushed by maintainers), bugs and conflicts are reported but otherwise it's a 
> > neutral tree that includes pretty much any commit indiscriminately.
> > 
> > If you need review and testing there's a number of trees you can get inclusion 
> > into.
> 
> So would -tip be one of them? If so could you pull the utrace-ptrace
> branch in?
> 
> Or did you intend some other tree (random-tracing)? (Though I think a
> ptrace reimplementation isn't 'random'-tracing :-))

Heh. No this is a tree I use for, well, random tracing patches indeed,
which has extended to random tracing/perf/* patches by the time.
I sometimes relay other's patches to Ingo toward this tree but this is
usually about small volumes and for small term storage: patches that
have been reviewed/acked already.

utrace/uprobe is about high volume and longer time debate/review/maintainance
and I won't have the time to carry this.

> Ananth